OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKBinL
BinObjMgt

# BinObjMgt_DataMapIteratorOfRRelocationTable Class Reference

`#include <BinObjMgt_DataMapIteratorOfRRelocationTable.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | BinObjMgt_DataMapIteratorOfRRelocationTable ()
Standard_EXPORT | BinObjMgt_DataMapIteratorOfRRelocationTable (const BinObjMgt_RRelocationTable &aMap)
Standard_EXPORT void | Initialize (const BinObjMgt_RRelocationTable &aMap)
Standard_EXPORT const Standard_Integer & | Key () const
Standard_EXPORT const Handle_Standard_Transient & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT BinObjMgt_DataMapIteratorOfRRelocationTable::BinObjMgt_DataMapIteratorOfRRelocationTable | ( |  | ) |

Standard_EXPORT BinObjMgt_DataMapIteratorOfRRelocationTable::BinObjMgt_DataMapIteratorOfRRelocationTable | ( | const BinObjMgt_RRelocationTable & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void BinObjMgt_DataMapIteratorOfRRelocationTable::Initialize | ( | const BinObjMgt_RRelocationTable & | aMap | ) |

Standard_EXPORT const Standard_Integer& BinObjMgt_DataMapIteratorOfRRelocationTable::Key | ( |  | ) | const

void BinObjMgt_DataMapIteratorOfRRelocationTable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* BinObjMgt_DataMapIteratorOfRRelocationTable::operator new | ( | size_t | size | ) | `[inline]`

void* BinObjMgt_DataMapIteratorOfRRelocationTable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_Standard_Transient& BinObjMgt_DataMapIteratorOfRRelocationTable::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- BinObjMgt_DataMapIteratorOfRRelocationTable.hxx